Skip to main content
DELETE
Delete Project Data Definition
Closed Beta
Available to a limited set of invited customers. Contact your account team to join. The request and response contract may change before general availability (GA).

Authorizations

Authorization
string
header
required

This endpoint uses Service Account authentication.

Headers

Mixpanel-Version
string
default:2026-08-13

Optional date-based API version pin.

If omitted, the request is served by the latest API version, and the caller accepts that a future release may introduce a breaking change to the response contract. If set to a supported version date, that version's contract is honored and will not receive a breaking change.

Path Parameters

definition_id
string
required
project_id
string
required

The unique identifier for the project.

Response

OK

entity
DataDefinitionRef · object
required

The deleted definition.

deleted_at
string<date-time>
required

When the definition was deleted.